import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconCopy as IconCopyClass } from "../../../../components/icon/icons/copy.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconCopy = (props) => {
  IconCopyClass.define();
  const JSXElement = getReactComponent("gds-icon-copy");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconCopy.displayName = "IconCopy";
export {
  IconCopy
};
